/// <reference types="node" />
import BLEDiscovery, { HapServiceBle } from './transport/ble/ble-discovery';
import GattClient from './transport/ble/gatt-client';
import HttpClient from './transport/ip/http-client';
import { PairMethods, PairingTypeFlags, PairingData } from './protocol/pairing-protocol';
import IPDiscovery, { HapServiceIp } from './transport/ip/ip-discovery';
import * as Category from './model/category';
import * as Characteristic from './model/characteristic';
import * as GattConstants from './transport/ble/gatt-constants';
import * as GattUtils from './transport/ble/gatt-utils';
import * as HttpConstants from './transport/ip/http-constants';
import * as Service from './model/service';
import * as TLV from './model/tlv';
declare class HomekitControllerError extends Error {
    statusCode: number | undefined;
    body: Record<string, unknown> | undefined;
    constructor(message: string, statusCode?: number, body?: Record<string, unknown> | Buffer);
    setStatusCode(errorCode: number): void;
    getStatusCode(): number | undefined;
    setBody(body: Record<string, unknown> | Buffer): void;
    getBody(): Record<string, unknown> | undefined;
}
export { BLEDiscovery, HapServiceBle, Category, Characteristic, GattClient, GattConstants, GattUtils, HttpClient, HttpConstants, IPDiscovery, HapServiceIp, Service, TLV, PairMethods, PairingTypeFlags, PairingData, HomekitControllerError, };
//# sourceMappingURL=index.d.ts.map